opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp File Reference

Classes | Namespaces | Defines | Typedefs | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp File Reference

Go to the source code of this file.

## Classes
class | CvANN_MLP
struct | CvANN_MLP_TrainParams
class | CvBoost
struct | CvBoostParams
class | CvBoostTree
class | CvDTree
struct | CvDTreeNode
struct | CvDTreeParams
struct | CvDTreeSplit
struct | CvDTreeTrainData
class | CvEM
struct | CvEMParams
class | CvERTrees
struct | CvERTreeTrainData
class | CvForestERTree
class | CvForestTree
class | CvGBTrees
struct | CvGBTreesParams
class | CvKNearest
class | CvMLData
class | CvNormalBayesClassifier
struct | CvPair16u32s
struct | CvParamGrid
struct | CvRTParams
class | CvRTrees
class | CvStatModel
class | CvSVM
struct | CvSVMDecisionFunc
struct | CvSVMKernel
struct | CvSVMKernelRow
struct | CvSVMParams
struct | CvSVMSolutionInfo
class | CvSVMSolver
struct | CvTrainTestSplit
struct | CvVectors
## Namespaces
namespace | cv
## Defines
#define | CV_COL_SAMPLE 0
#define | CV_COUNT 0
#define | CV_DTREE_CAT_DIR(idx, subset) (2*((subset[(idx)>>5]&(1 << ((idx) & 31)))==0)-1)
#define | CV_IS_ROW_SAMPLE(flags) ((flags) & CV_ROW_SAMPLE)
#define | CV_LOG2PI (1.8378770664093454835606594728112)
#define | CV_PORTION 1
#define | CV_ROW_SAMPLE 1
#define | CV_TEST_ERROR 1
#define | CV_TRAIN_ERROR 0
#define | CV_TS_CONCENTRIC_SPHERES 0
#define | CV_TYPE_NAME_ML_ANN_MLP "opencv-ml-ann-mlp"
#define | CV_TYPE_NAME_ML_BOOSTING "opencv-ml-boost-tree"
#define | CV_TYPE_NAME_ML_CNN "opencv-ml-cnn"
#define | CV_TYPE_NAME_ML_EM "opencv-ml-em"
#define | CV_TYPE_NAME_ML_GBT "opencv-ml-gradient-boosting-trees"
#define | CV_TYPE_NAME_ML_KNN "opencv-ml-knn"
#define | CV_TYPE_NAME_ML_NBAYES "opencv-ml-bayesian"
#define | CV_TYPE_NAME_ML_RTREES "opencv-ml-random-trees"
#define | CV_TYPE_NAME_ML_SVM "opencv-ml-svm"
#define | CV_TYPE_NAME_ML_TREE "opencv-ml-tree"
#define | CV_VAR_CATEGORICAL 1
#define | CV_VAR_NUMERICAL 0
#define | CV_VAR_ORDERED 0
## Typedefs
typedef CvANN_MLP_TrainParams | cv::ANN_MLP_TrainParams
typedef CvBoost | cv::Boost
typedef CvBoostParams | cv::BoostParams
typedef CvBoostTree | cv::BoostTree
typedef CvDTree | cv::DecisionTree
typedef CvDTreeParams | cv::DTreeParams
typedef CvEMParams | cv::EMParams
typedef CvForestERTree | cv::ERTree
typedef CvERTrees | cv::ERTrees
typedef CvERTreeTrainData | cv::ERTreeTRainData
typedef CvEM | cv::ExpectationMaximization
typedef CvForestTree | cv::ForestTree
typedef CvGBTreesParams | cv::GradientBoostingTreeParams
typedef CvGBTrees | cv::GradientBoostingTrees
typedef CvKNearest | cv::KNearest
typedef CvANN_MLP | cv::NeuralNet_MLP
typedef CvNormalBayesClassifier | cv::NormalBayesClassifier
typedef CvParamGrid | cv::ParamGrid
typedef CvRTParams | cv::RandomTreeParams
typedef CvRTrees | cv::RandomTrees
typedef CvStatModel | cv::StatModel
typedef CvSVM | cv::SVM
typedef CvSVMKernel | cv::SVMKernel
typedef CvSVMParams | cv::SVMParams
typedef CvSVMSolver | cv::SVMSolver
typedef CvMLData | cv::TrainData
## Functions
void | cvCreateTestSet (int type, CvMat **samples, int num_samples, int num_features, CvMat **responses, int num_classes,...)
void | cvRandGaussMixture (CvMat *means[], CvMat *covs[], float weights[], int clsnum, CvMat *sample, CvMat *sampClasses CV_DEFAULT(0))
void | cvRandMVNormal (CvMat *mean, CvMat *cov, CvMat *sample, CvRNG *rng CV_DEFAULT(0))

## Define Documentation

#define CV_COL_SAMPLE 0

#define CV_COUNT 0

#define CV_DTREE_CAT_DIR | ( |  | idx,
|  |  | subset
| ) |  | (2*((subset[(idx)>>5]&(1 << ((idx) & 31)))==0)-1)

#define CV_IS_ROW_SAMPLE | ( |  | flags ) | ((flags) & CV_ROW_SAMPLE)

#define CV_LOG2PI (1.8378770664093454835606594728112)

#define CV_PORTION 1

#define CV_ROW_SAMPLE 1

#define CV_TEST_ERROR 1

#define CV_TRAIN_ERROR 0

#define CV_TS_CONCENTRIC_SPHERES 0

#define CV_TYPE_NAME_ML_ANN_MLP "opencv-ml-ann-mlp"

#define CV_TYPE_NAME_ML_BOOSTING "opencv-ml-boost-tree"

#define CV_TYPE_NAME_ML_CNN "opencv-ml-cnn"

#define CV_TYPE_NAME_ML_EM "opencv-ml-em"

#define CV_TYPE_NAME_ML_GBT "opencv-ml-gradient-boosting-trees"

#define CV_TYPE_NAME_ML_KNN "opencv-ml-knn"

#define CV_TYPE_NAME_ML_NBAYES "opencv-ml-bayesian"

#define CV_TYPE_NAME_ML_RTREES "opencv-ml-random-trees"

#define CV_TYPE_NAME_ML_SVM "opencv-ml-svm"

#define CV_TYPE_NAME_ML_TREE "opencv-ml-tree"

#define CV_VAR_CATEGORICAL 1

#define CV_VAR_NUMERICAL 0

#define CV_VAR_ORDERED 0

## Function Documentation

void cvCreateTestSet | ( | int | type,
|  | CvMat ** | samples,
|  | int | num_samples,
|  | int | num_features,
|  | CvMat ** | responses,
|  | int | num_classes,
|  |  | ...
| ) |  |

void cvRandGaussMixture | ( | CvMat * | means[],
|  | CvMat * | covs[],
|  | float | weights[],
|  | int | clsnum,
|  | CvMat * | sample,
|  | CvMat *sampClasses | CV_DEFAULT0
| ) |  |

void cvRandMVNormal | ( | CvMat * | mean,
|  | CvMat * | cov,
|  | CvMat * | sample,
|  | CvRNG *rng | CV_DEFAULT0
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines